/*
 * This file and everything in this package is covered under
 * the OPENdj Software License.  See the LICENSE file at the top
 * level of this package for full details.  A copy of the license
 * is also available at: http://opendj.org/docs/licenses/LICENSE.opendj
 * 
 * Copyright 2001 DAX Interactive, LLC.
 *
 * $Author: jonathan $
 * $Revision: 1.1.1.1 $
 * $Header: /home/cvspublic/opendj/opendj-chat-server/src/org/opendj/server/chat/StatusCode.java,v 1.1.1.1 2001/09/29 20:21:13 jonathan Exp $
 * $Log: StatusCode.java,v $
 * Revision 1.1.1.1  2001/09/29 20:21:13  jonathan
 * Imported opendj-chat-server
 *
 */
package org.opendj.server.chat;

public class StatusCode {

    public static final int HELLO_OK         = 0;
    public static final int HELLO_NOSUCHROOM = 1;
    public static final int HELLO_ROOMFULL   = 2;
    public static final int HELLO_BLOCKED    = 3;
    public static final int HELLO_ERROR      = 4;

    public static final int NAME_OK           = 0;
    public static final int NAME_TOOSHORT     = 1;
    public static final int NAME_TOOLONG      = 2;
    public static final int NAME_NOSUCHROOM   = 3;
    public static final int NAME_TAKEN        = 4;
    public static final int NAME_ISDJNAME     = 5;
    public static final int NAME_BLOCKED      = 6;
    public static final int NAME_MUSTBEDJ     = 7;
    public static final int NAME_ERROR        = 8;

    public static final int LEAVE_USER        = 0;
    public static final int LEAVE_TIMEDOUT    = 1;
    public static final int LEAVE_BOOTED      = 2;

    public static final int BOOT_OK             = 0;
    public static final int BOOT_NOTMODERATOR   = 1;
    public static final int BOOT_NOSUCHUSER     = 2;
    public static final int BOOT_CANNOTBOOTSELF = 3;
    public static final int BOOT_ERROR          = 4;

    private StatusCode() {}
}
